Bug 1122695 - Pop-up icon not selectable on gateway
Summary: Pop-up icon not selectable on gateway
Keywords:
Status: ASSIGNED
Alias: None
Product: JBoss BPMS Platform 6
Classification: Retired
Component: jBPM Designer
Version: 6.0.2
Hardware: x86_64
OS: Windows
medium
high
Target Milestone: ---
: ---
Assignee: Tihomir Surdilovic
QA Contact: Kirill Gaevskii
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-23 19:30 UTC by Phil Simpson
Modified: 2018-01-30 23:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)
Video demo of the gateway selection bug (1.14 MB, video/mp4)
2014-07-23 19:30 UTC, Phil Simpson
no flags Details

Description Phil Simpson 2014-07-23 19:30:54 UTC
Created attachment 920347 [details]
Video demo of the gateway selection bug

Description of problem:
It is possible to get the process designer into a state where when a gateway is selected, it doesn't allow the user to click on the pop-up icons to add another activity after the gateway.  Once in this state it is difficult to get out of it.  See the attached screencam video for a demo.

Version-Release number of selected component (if applicable):
6.0.2

How reproducible:
Fairly easily

Steps to Reproduce:
1. Add a gateway
2. click it
3. select one of the popup icons next to it
4. repeat until the icons are not selectable and the mouse just moves a dashed square around the screen

Actual results:


Expected results:


Additional info:

Comment 2 Phil Simpson 2014-12-22 16:41:16 UTC
Hi Tiho,
This bug is a pain.  Freemodeler.com has it, & it's very easy to run into.  Any chance it can be fixed for 6.1?

Thanks,
Phil

Comment 3 Jeremy Lindop 2015-12-17 15:04:13 UTC
Hi Phil,  I know this is an old bug, but do you know which browser you found the bug in?  As it's logged as a 'Windows' bug, I wonder whether you were using IE11 or IE10.

Comment 4 Phil Simpson 2015-12-17 16:50:12 UTC
Actually I was using Firefox.  Currently I'm on 46.0, but may have been on an earlier version then.

Thanks!
Phil

Comment 5 Jeremy Lindop 2015-12-18 11:58:14 UTC
Thanks Phil, that's helped.
I've now reproduced it using Firefox on Mac and Windows, but not on Fedora.
I can't reproduce it in Chrome or IE11.
There was no problem with FF 38.0.5 on Fedora 20.

I reproduced it as follows:
FF 40.0.3 on Mac. Also FF24.0 on Mac (which I happen to have installed)
FF 43.0 on Windows 7

EAP Server with bpms6.2.0GA was running on Fedora 20

1. Create a new BP
2. Click on the Start Activity
3. Click on the "Data-based Exclusive (XOR)" gateway button just below the bottom right corner of the Start Activity icon
4. Click on the canvas
5. Click on the Gateway activity and move the mouse
6. At this point, you'll see the behaviour shown in the attached video, i.e. a dotted-line rectangle moves around the screen, and you can't select the Gateway


Note You need to log in before you can comment on or make changes to this bug.